<?php
/**
 * Hunt Locator default admin entry point file
 * 
 * @package    OpenSourceTechnologies. Map Locator
 * @subpackage Components
 * @copyright	Copyright (c)2011 Open Source Technologies. All Rights Reserved.
 * @license		GNU/GPLv3
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * Hello Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class MapLocatorModelCity extends JModel
{
	/**
	 * Huntlocator data array
	 *
	 * @var array
	 */
	var $_data;


	


	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$cid = JRequest::getVar( 'cid' );
		
		$query = ' SELECT * '
			. ' FROM #__city'
			.' where city_id='.$cid;

		return $query;
	}

	/**
	 * Retrieves the data
	 * @return array Array of objects containing the data from the database
	 */
	function getData()
	{
		// Lets load the data if it doesn't already exist
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
		
			$this->_data = $this->_getList( $query );
		}

		return $this->_data;
	}


}