<?php
/**
 * Hello World table class
 * 
* @package    OpenSourceTechnologies.Map Locator
 * @subpackage Components
 * @copyright	Copyright (c)2011 Open Source Technologies. All Rights Reserved.
 * @license		GNU/GPLv3
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableSitelocations extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	 var $id = null;
	 /**
	 * @var int
	 */
	var $state_id = null;

	/**
	 * @var int
	 */
	var $country_id = null;

	/**
	 * @var int
	 */
	var $city_id = null;

	
	/**
	 * @var string
	 */
	var $address = null;

	/**
	 * @var string
	 */
	var $zip = null;

	/**
	 * @var string
	 */
	var $city_lat_lont_corner_top = null;

	/**
	 * @var string
	 */
	var $city_lat_lont_corner_bottom = null;

	/**
	 * @var string
	 */
	var $location_name = null;

	/**
	 * @var string
	 */
	var $location_lat_long = null;

	/**
	 * @var string
	 */
	var $location_url = null;
    /**
	 * @var string
	 */
	var $published = null;
	
	


	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableSitelocations(& $db) {
		parent::__construct('#__sitelocator', 'id', $db);
	}
}